# osglightpoint.cpp File Reference

`#include <osg/GL>`
`#include <osgProducer/Viewer>`
`#include <osg/MatrixTransform>`
`#include <osg/Billboard>`
`#include <osg/Geode>`
`#include <osg/Group>`
`#include <osg/ShapeDrawable>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgUtil/Optimizer>`
`#include <osgSim/LightPointNode>`

Include dependency graph for osglightpoint.cpp:

## Defines

#define | INTERPOLATE(member) lp.member = start.member*rstart + end.member*rend;

## Functions

void | addToLightPointNode (osgSim::LightPointNode &lpn, osgSim::LightPoint &start, osgSim::LightPoint &end, unsigned int noSteps)
osg::Node * | createLightPointsDatabase ()
int | main (int argc, char **argv)

## Define Documentation

#define INTERPOLATE | ( | member |  | ) | lp.member = start.member*rstart + end.member*rend;

## Function Documentation

void addToLightPointNode | ( | osgSim::LightPointNode & | lpn,
|  | osgSim::LightPoint & | start,
|  | osgSim::LightPoint & | end,
|  | unsigned int | noSteps
| ) |

osg::Node* createLightPointsDatabase | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |